lwIP 2.1.2 Lightweight IP stack

Functions
AUTOIP
APIs » "raw" APIs » IP » IPv4

## Functions
void | autoip_set_struct (struct netif *netif, struct autoip *autoip)
err_t | autoip_start (struct netif *netif)
err_t | autoip_stop (struct netif *netif)

## Detailed Description

AUTOIP related functions USAGE:

define LWIP_AUTOIP 1 in your lwipopts.h Options: AUTOIP_TMR_INTERVAL msecs, I recommend a value of 100. The value must divide 1000 with a remainder almost 0. Possible values are 1000, 500, 333, 250, 200, 166, 142, 125, 111, 100 ....

Without DHCP:

- Call autoip_start() after netif_add().

With DHCP:

- define LWIP_DHCP_AUTOIP_COOP 1 in your lwipopts.h.
- Configure your DHCP Client.

See also
  AUTOIP

## Function Documentation

## ◆ autoip_set_struct()

void autoip_set_struct | ( | struct netif * | netif,
|  | struct autoip * | autoip
| ) |  |

Set a statically allocated struct autoip to work with. Using this prevents autoip_start to allocate it using mem_malloc.

Parameters

  netif | the netif for which to set the struct autoip
  autoip | (uninitialised) autoip struct allocated by the application

## ◆ autoip_start()

err_t autoip_start | ( | struct netif * | netif | ) |

Start AutoIP client

Parameters

  netif | network interface on which start the AutoIP client

## ◆ autoip_stop()

err_t autoip_stop | ( | struct netif * | netif | ) |

Stop AutoIP client

Parameters

  netif | network interface on which stop the AutoIP client